Page MenuHomePhabricator

Simplify throttle-related method after maintenance script execution
Closed, InvalidPublic

Description

After the normalization from the maintenance script in T203336, throttle parameters will have the same order and the same form for every filter (before they were arrays where an element could consist of several comma-imploded groups). This means that we will be able to simplify the throttleKey function, where the second parameter will always be a string, which in turn would not only make the code cleaner, but have separate cache keys for every action.
However, I'm not sure how this should work: emit a wfDeprecated if $types is not a string, then remove extra logic in a subsequent MediaWiki release?

Details

Related Gerrit Patches:
mediawiki/extensions/AbuseFilter : masterThrow an exception if update.php has not been executed

Event Timeline

Daimona created this task.Sep 2 2018, 5:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2018, 5:58 PM

Change 458827 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Throw an exception if update.php has not been executed

https://gerrit.wikimedia.org/r/458827

Daimona claimed this task.Sep 7 2018, 2:47 PM

Since the maintenance script has been changed to extend LoggedUpdateMaintenance, it'll be automatically executed in update.php. Throwing an exception is the first step; then, the related code should be removed. I just don't know how much time it should be left. In case this gets merged before 1.33, would it be enough to remove it in 1.33?

Change 458827 abandoned by Daimona Eaytoy:
Throw an exception if update.php has not been executed

Reason:
Per T203587#4569698

https://gerrit.wikimedia.org/r/458827

Daimona closed this task as Invalid.Sep 9 2018, 3:26 PM